#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case, non_upper_case_globals, unused_assignments, unused_mut)]
extern "C" {
    fn printf(_: *const libc::c_char, _: ...) -> libc::c_int;
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union options {
    pub option_a: libc::c_int,
    pub option_b: libc::c_float,
}
unsafe fn main_0() -> libc::c_int {
    let mut o: options = options { option_a: 0 };
    o.option_a = (1 as libc::c_int) << 30 as libc::c_int | 1 as libc::c_int;
    printf(b"option_a %i\n\0" as *const u8 as *const libc::c_char, o.option_a);
    printf(
        b"option_b %f\n\0" as *const u8 as *const libc::c_char,
        o.option_b as libc::c_double,
    );
    return 0;
}
pub fn main() {
    unsafe { ::std::process::exit(main_0() as i32) }
}
